Is my smartphone compatible?

iOS

Cube is compatible with iOS devices that have Bluetooth 4.0 hardware that are running iOS 7.0 or later:

  • iPad 3
  • iPad 4
  • iPad Air
  • iPad mini
  • iPhone 4S
  • iPhone 5
  • iPhone 5C
  • iPhone 5S
  • iPhone 6
  • iPhone 6 Plus
  • iPhone 6s
  • iPhone 6s Plus
  • iPod Touch, 5th+ generation (latest)

 

Android

Android devices that have Bluetooth 4.0 hardware that are running Android 4.4 or later are also supported. Below is a list of devices that support these specs:

Archos

  • 45 Helium
  • 50 Helium


Asus

  • PadFone 2
  • PadFone A80
  • PadFone Infinity
  • PadFone Mini
  • ZenFone 4
  • ZenFone 5
  • ZenFone 6


Google

  • Nexus 4
  • Nexus 5
  • Nexus 6
  • Nexus 7 (2013)
  • Nexus 10


HTC

  • Butterfly
  • Desire 601
  • Desire HD
  • Droid DNA
  • Fireball
  • Jewel
  • One
  • One Developer Edition
  • One Dual Sim
  • One Max
  • One Mini
  • One Google Play Edition
  • One X
  • One X+
  • Totem C2
  • Valente


Huawei

  • Ascend P6


LG

  • Optimus G
  • Optimus G Pro
  • Optimus L7 2 Dual
  • Optimus G2


Motorola

  • Atrix HD
  • Droid Mini
  • Droid Razr HD
  • Droid Razr HD Developer Edition
  • Droid Razr M
  • Droid Razr M Developer Edition
  • Droid Razr Maxx
  • Droid Ultra
  • Electrify M
  • Moto G 2013 Edition
  • Moto X 2013 Edition
  • Moto X 2013 Developer Edition
OnePlus
  • One

Samsung

  • Galaxy Mega
  • Galaxy Note 10.1
  • Galaxy Note 10.1 2014 Edition
  • Galaxy Note II
  • Galaxy Note 3
  • Galaxy Note 4
  • Galaxy Note 5
  • Galaxy S III
  • Galaxy S III Mini
  • Galaxy S4
  • Galaxy S4 Active
  • Galaxy S4 Google Play Edition
  • Galaxy S4 Mini
  • Galaxy S4 Zoom
  • Galaxy S5
  • Galaxy S6
  • Galaxy Tab 3 (Bluetooth must be 4.0 or higher)
 


Sony

  • Xperia Tablet Z
  • Xperia Z
  • Xperia Z1
  • Xperia ZL
  • Xperia Z Ultra
  • Xperia ZR
  • Xperia SP 

 

Note: If you already have the Cube Companion App installed, check for available updates to make sure you have the latest version. If your mobile device is not compatible with Cube you may not be able to install the Cube Companion App.

Have more questions? Submit a request

Comments